<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $bulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];
        ?>
        <div>
            <div>
                <div>
                    <p style="text-align: center; font-size: 10pt; font-weight: BOLD;">
                        PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>
                    </p>
                    <p style="text-align: center; font-size: 12pt; font-weight: BOLD; line-height: 1px;">
                        <?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>
                    </p>
                    <p style="text-align: center; font-size: 8pt; line-height: 1px">
                        <?= strtoupper($ar_pemda->s_alamatinstansi); ?>
                    </p>
                </div>
            </div>
            <hr>
            <h4 style="text-align: center">BUKU KAS UMUM<br>Bulan <?= $bulan_text[$bulan - 1] ?> Tahun <?= $tahun ?></h4>
            <table class="no-border">
                <tr>
                    <td>SKPD</td>
                    <td width="5">:</td>
                    <td><?= strtoupper($ar_pemda->s_namainstansi); ?></td>
                </tr>
                <tr>
                    <td>Pengguna Anggaran</td>
                    <td>:</td>
                    <td><?= $ar_mengetahui->s_namapej ?></td>
                </tr>
                <tr>
                    <td>Bendahara Penerimaan</td>
                    <td>:</td>
                    <td><?= $ar_diperiksa->s_namapej ?></td>
                </tr>
            </table>
            <table width="100%" class="font_sembilan data" style="text-align: center">
                <tr>
                    <td>
                        <b>Tanggal</b>
                    </td>
                    <td>
                        <b>Kode Rekening</b>
                    </td>
                    <td>
                        <b>Nama Rekening</b>
                    </td>
                    <td>
                        <b> Penerimaan </b>
                    </td>
                    <td>
                        <b>Pengeluaran</b>
                    </td>
                </tr>
                <?php
                $total_penerimaan = 0;
                $total_penyetoran = 0;
                foreach ($this->data as $k => $v) {
                    ?>
                    <tr>
                        <td style="text-align: center">
                            <?= date('d/m/Y', strtotime($v['tglbayar'])) ?>
                        </td>
                        <td style="text-align: center">
                            <?= $v['korek'] ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['s_namakorek'] ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['pembayaran'], 0, ',', '.') ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['penyetoran'], 0, ',', '.') ?>
                        </td>
                    </tr>
                    <?php
                    $total_penerimaan += $v['pembayaran'];
                    $total_penyetoran += $v['penyetoran'];
                }
                ?>
                <tr>
                    <td style="text-align:right;" colspan="3"><b>Jumlah Bulan Ini</b></td>
                    <td style="text-align:right;"><?= number_format($total_penerimaan, 0, ',', '.') ?></td>
                    <td style="text-align:right;"><?= number_format($total_penyetoran, 0, ',', '.') ?></td>
                </tr>
                <tr>
                    <td style="text-align:right;" colspan="3"><b>Jumlah s/d Bulan Lalu</b></td>
                    <td style="text-align:right;"><?= number_format($total['total_sdbulanlalu'], 0, ',', '.') ?></td>
                    <td style="text-align:right;"><?= number_format($total['total_setor_sdbulanlalu'], 0, ',', '.') ?></td>
                </tr>
                <tr>
                    <td style="text-align:right;" colspan="3"><b>Jumlah Semua s/d Bulan ini</b></td>
                    <td style="text-align:right;"><?= number_format($total['total_sdbulanini'], 0, ',', '.') ?></td>
                    <td style="text-align:right;"><?= number_format($total['total_setor_sdbulanini'], 0, ',', '.') ?></td>
                </tr>
                <tr>
                    <td style="text-align:right;" colspan="3"><b>Sisa Kas</b></td>
                    <td style="text-align:right;" colspan="2"><?= number_format(($total['total_sdbulanini'] - $total['total_setor_sdbulanini']), 0, ',', '.') ?></td>
                </tr>
            </table>
            <div>
                <div style="float:left; width: 35%; text-align: center">
                    <div>&nbsp;</div>
                    <div>Mengetahui</div>
                    <div><?= $ar_mengetahui->s_jabatanpej ?></div>
                    <div>&nbsp;</div>
                    <div>&nbsp;</div>
                    <div style="text-decoration:underline;"><?= $ar_mengetahui->s_namapej ?></div>
                    <div><?= $ar_mengetahui->s_nippej ?></div>
                </div>
                <div style="float:right;width: 35%; text-align: center;" >
                    <div><?= $ar_pemda->s_namaibukotakabkota ?>, <?= date('d-m-Y') ?></div>
                    <div style="text-align:center;">Diperiksa Oleh</div>
                    <div><?= $ar_diperiksa->s_jabatanpej ?></div>
                    <div>&nbsp;</div>
                    <div>&nbsp;</div>
                    <div style="text-decoration:underline;"><?= $ar_diperiksa->s_namapej ?></div>
                    <div><?= $ar_diperiksa->s_nippej ?></div>
                </div>
            </div>
        </div>
    </body>
</html>

<style type="text/css" media="print">
    /*    .font_sembilan table, .font_sembilan table > th, .font_sembilan table > td {
            border: 1px solid black;
            border-collapse: collapse;
        }*/
    .font_sembilan{
        font-size: 9pt;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
    .data, .data tr, .data td{
        border: 1px solid black;
        border-collapse: collapse;
    }
    body {
        font-size: 9pt;
    }
</style>

